@echo off

rem * Licensed Materials - Property of IBM
rem * 5724-L68,5724-L69
rem * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
rem * US Government Users Restricted Rights - Use, duplication or disclosure
rem * restricted by GSA ADP Schedule Contract with IBM Corp.

setlocal

rem These values (enclosed in $) will be replaced by the install wizard
set BCGHUB_HOME=$BCGHUB_HOME$

call "%BCGHUB_HOME%\bin\bcgSetupCmdLine.bat"

SET DB_HOSTNAME=$DB_HOSTNAME$
SET DB_PORT=$DB_PORT$
SET DB_NAME=$DB_NAME$
SET DB_SCHEMA=$DB_SCHEMA$
SET DBTYPE=$DB_TYPE$

SET JDBC_DRIVER=$JDBC_DRIVER$

SET APP_LIB=%BCGHUB_HOME%\wasND\Profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ConsoleProfile%\installedApps\%CellName%\BCGConsole.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear\lib\db2jcc_license_cu.jar;%BCGHUB_HOME%\wasND\Profiles\%ConsoleProfile%\installedApps\%CellName%\BCGConsole.ear\lib\db2jcc_license_cu.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cu.jar


SET APP_CLASSPATH=%APP_LIB%;%BCGHUB_HOME%\bin\bcgPropertiesMigration.jar
SET CLASSPATH=%APP_CLASSPATH%;%CLASSPATH%;%WAS_HOME%\lib\j2ee.jar;%JDBC_DRIVER%;
SET PATH=%PATH%;%JAVA_HOME%\bin

IF NOT %DBTYPE%==ORACLE goto NotOracle
   SET JDBC_DRIVER_CLASS=oracle.jdbc.OracleDriver
   SET JDBC_URL=jdbc:oracle:thin:@%DB_HOSTNAME%:%DB_PORT%:%DB_NAME%
   goto EndDBTypeCheck
:NotOracle
REM  Default to DB2
   SET JDBC_DRIVER_CLASS=com.ibm.db2.jcc.DB2Driver
   SET JDBC_URL=jdbc:db2://%DB_HOSTNAME%:%DB_PORT%/%DB_NAME%
   goto EndDBTypeCheck   
:EndDBTypeCheck

If %1X == X  goto Usage
   SET USERID=%1
   shift
If %1X == X  goto Usage   
   SET PASSWORD=%1
   shift
If %1X == X  goto Usage
   SET LOCATION=%1
   shift  
if not %1x==x goto USAGE   

"%JAVA_HOME%\bin\java"  -cp .;"%CLASSPATH%" com.ibm.bcg.db.migration.PropertiesMigration %JDBC_URL% %JDBC_DRIVER_CLASS%  %USERID% %PASSWORD% %DBTYPE% %LOCATION%

IF  %errorlevel%==0 goto endofprog

:USAGE
@echo The script needs the following parameters
@echo 1. Schema Owner
@echo 2. Schema Password
@echo 3. Property File Location

@echo "USAGE  : bcgPropMigrate <Schema Owner> <Schema Password> <Property File Location>"

@echo "SAMPLE : bcgPropMigrate bcgapps bcgapps C:\IBM\bcghub"
goto endofprog
:endofprog
@endlocal