@echo off

rem * Licensed Materials - Property of IBM
rem * 5724-L68,5724-L69
rem * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
rem * US Government Users Restricted Rights - Use, duplication or disclosure
rem * restricted by GSA ADP Schedule Contract with IBM Corp.

setlocal

rem These values (enclosed in $) will be replaced by the install wizard
set BCGHUB_HOME=$BCGHUB_HOME$

call "%BCGHUB_HOME%\bin\bcgSetupCmdLine.bat"

SET DB_HOSTNAME=$DB_HOSTNAME$
SET DB_PORT=$DB_PORT$
SET DB_NAME=$DB_NAME$
SET DB_SCHEMA=$DB_SCHEMA$
SET DBTYPE=$DB_TYPE$

SET JDBC_DRIVER=$JDBC_DRIVER$

SET APP_LIB=%BCGHUB_HOME%\wasND\Profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ConsoleProfile%\installedApps\%CellName%\BCGConsole.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cisuz.jar;%BCGHUB_HOME%\wasND\Profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear\lib\db2jcc_license_cu.jar;%BCGHUB_HOME%\wasND\Profiles\%ConsoleProfile%\installedApps\%CellName%\BCGConsole.ear\lib\db2jcc_license_cu.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\db2jcc_license_cu.jar;%BCGHUB_HOME%\wasND\Profiles\%RouterProfile%\installedApps\%CellName%\BCGDocMgr.ear\lib\bcgCommon.jar;%BCGHUB_HOME%\wasND\Profiles\%ConsoleProfile%\installedApps\%CellName%\BCGConsole.ear\lib\bcgCommon.jar;%BCGHUB_HOME%\wasND\Profiles\%ReceiverProfile%\installedApps\%CellName%\BCGReceiver.ear\lib\bcgCommon.jar

rem Modified order of the classpath as part of CR 104208.
SET APP_CLASSPATH=%BCGHUB_HOME%\bin\bcgPropertiesMigration.jar;%BCGHUB_HOME%\migration\lib\common.jar;%BCGHUB_HOME%\migration\lib\bcgsdk.jar;%WAS_HOME%\plugins\com.ibm.ws.runtime_6.1.0.jar;%BCGHUB_HOME%\migration\lib\log4j-1.2.8.jar
SET CLASSPATH=%APP_CLASSPATH%;%APP_LIB%;%WAS_HOME%\lib\j2ee.jar;%JDBC_DRIVER%;
SET PATH=%PATH%;%JAVA_HOME%\bin

IF NOT %DBTYPE%==ORACLE goto NotOracle
   SET JDBC_DRIVER_CLASS=oracle.jdbc.driver.OracleDriver
   SET JDBC_URL=jdbc:oracle:thin:@%DB_HOSTNAME%:%DB_PORT%:%DB_NAME%
   goto EndDBTypeCheck
:NotOracle
REM  Default to DB2
   SET JDBC_DRIVER_CLASS=com.ibm.db2.jcc.DB2Driver
   SET JDBC_URL=jdbc:db2://%DB_HOSTNAME%:%DB_PORT%/%DB_NAME%
   goto EndDBTypeCheck   
:EndDBTypeCheck

If %1X == X  goto Usage
   SET USERID=%1
   shift
If %1X == X  goto Usage   
   SET PASSWORD=%1
@echo on
"%JAVA_HOME%\bin\java"  -cp .;"%CLASSPATH%" com.ibm.bcg.server.migration.MigrationProcess -connectionURL %JDBC_URL%  -driverURL %JDBC_DRIVER_CLASS%  -username %USERID% -password %PASSWORD%
@echo off
goto endofprog

:USAGE
@echo The script needs the following parameters
@echo 1. Schema Owner
@echo 2. Schema Password

@echo "USAGE  : bcgBDOMigrate <Schema Owner> <Schema Password>"

@echo "SAMPLE : bcgBDOMigrate bcgapps bcgapps"
goto endofprog
:endofprog
@endlocal